Bug 45385

Summary: unable to compile/make 2.2.9 with --enable-ldap
Product: Apache httpd-2 Reporter: Stacy <syem>
Component: mod_ldapAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.9   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Attachments: configure and make cmd output logfile
latest config.log
latest make.log

Description Stacy 2008-07-11 13:14:45 UTC
Created attachment 22246 [details]
configure and make cmd output logfile

see attached config.log and apache229make.log
Comment 1 Ruediger Pluem 2008-07-11 14:44:08 UTC
This cannot work. Try

./configure --prefix=/web/servers/apache229 --enable-so --enable-ldap --enable-ssl --with-ldap

instead.
Comment 2 Ruediger Pluem 2008-07-12 00:41:48 UTC
--with-ldap is a valid option. Just ignore the warning messages that tell you otherwise.
Comment 3 Ruediger Pluem 2008-07-14 12:03:45 UTC
Please post your output if make fails with the option --with-ldap given. It is likely that you have no suitable ldap client installed.
Another thing: Please do not sent your replies to me privately, but post them here.
Comment 4 Stacy 2008-07-14 14:00:18 UTC
Created attachment 22254 [details]
latest config.log
Comment 5 Stacy 2008-07-14 14:00:50 UTC
Created attachment 22255 [details]
latest make.log
Comment 6 Ruediger Pluem 2008-07-14 23:45:11 UTC
So where is the error in your make.log file? Looks like it ran through smoothly. Furthermore it seems that no LDAP is installed or that it was not found. Please post the config.log file from the srclib/apr-util directory.
Comment 7 William A. Rowe Jr. 2018-11-07 21:09:20 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.